package grpc

import (
	"context"

	"google.golang.org/grpc"

	"git.loafle.net/commons_go/config"
	oas "git.loafle.net/overflow/overflow_api_server/golang"
	ogp "git.loafle.net/overflow/overflow_grpc_pool"
	"go.uber.org/zap"
)

type poolHandlers struct {
	ogp.PoolHandlers
	ctx    context.Context
	logger *zap.Logger
	cfg    config.Configurator
}

func (h *poolHandlers) OnCreate() (*grpc.ClientConn, interface{}, error) {
	var err error
	conn, err := grpc.Dial(config.GetString("grpc.addr"), grpc.WithInsecure())
	if nil != err {
		return nil, nil, err
	}
	c := oas.NewOverflowApiServerClient(conn)
	return conn, c, nil

}
