package subscribe

import (
	"context"

	"git.loafle.net/commons_go/logging"
	ofs "git.loafle.net/overflow/overflow_subscriber"
	"go.uber.org/zap"
)

func newWebSubscriberHandler(ctx context.Context, channel string) ofs.SubscriberHandler {
	h := &webSubscriberHandlers{
		ctx:    ctx,
		logger: logging.WithContext(ctx),
	}
	h.Channel = channel

	return h
}

type webSubscriberHandlers struct {
	ofs.SubscriberHandlers
	ctx    context.Context
	logger *zap.Logger
}

func (h *webSubscriberHandlers) OnSubscribe(payload string) {
	h.logger.Info("Subscriber:Web",
		zap.String("payload", payload),
	)
}
